Uploaded image for project: 'Red Hat CodeReady Studio (devstudio)'
  1. Red Hat CodeReady Studio (devstudio)
  2. JBDS-3016

Support multiple versions of jQuery in the jQuery Mobile Palette

    Details

    • Docs QE Status:
      NEW
    • Target Release:

      Description

      The version of jQuery used in the snippet created by the jQM palette is 1.10.2. We should plan to support multiple versions of jQuery (1.x and 2.x) because:

      • JBoss WFK is planning to deprecate jQuery 1.x and move to jQuery 2.x.
      • jQuery 1.x support would still be required by end-users that wish to support their apps and sites on older browsers (notably MSIE 6-8 that are unsupported in jQuery 2+).

      N.B: Cordova apps are expected to use jQuery 2+ - the jQuery team does not support 1.x usage in this environment.

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  akazakov Alexey Kazakov
                  Reporter:
                  vineet.reynolds Vineet Reynolds
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  3 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: